/*
 * (C) 2002 Antonino Perricone <don_perricone@libero.it>
 * (C) 2013 Ohtsuka Yoshio <ohtsuka.yoshio@gmail.com>
 *
 * This work is licensed under a Creative Commons 
 * Attribution-NonCommercial-ShareAlike 3.0 Unported License.
 * See this link for more informations: 
 * http://creativecommons.org/licenses/by-nc-sa/3.0/
 */
#ifndef LUCE_GIMP_INTL_H
#define LUCE_GIMP_INTL_H

#include <libintl.h>

#define _(STRING) gettext (STRING)
#ifdef gettext_noop
#define N_(STRING) gettext_noop (STRING)
#else
#define N_(STRING) (STRING)
#endif

#define INIT_I18N() {\
bindtextdomain ("gimp20-luce", gimp_locale_directory ());\
bind_textdomain_codeset ("gimp20-luce", "UTF-8");\
textdomain ("gimp20-luce");\
}

#endif
