/*
 * (C) 2002 Antonino Perricone <don_perricone@libero.it>
 * (C) 2013 Ohtsuka Yoshio <ohtsuka.yoshio@gmail.com>
 *
 * This work is licensed under a Creative Commons 
 * Attribution-NonCommercial-ShareAlike 3.0 Unported License.
 * See this link for more informations: 
 * http://creativecommons.org/licenses/by-nc-sa/3.0/
 */
#ifndef LUCE_GIMP_MAIN_H
#define LUCE_GIMP_MAIN_H
#include <string.h>

#include <glib.h>
#include <glib/gstdio.h>
#include <libgimp/gimp.h>
#include <libgimp/gimpui.h>

#include "luce.h"
#include "plugin.h"
#include "luce_gimp_image.h"
#include "luce_gimp_intl.h"

typedef enum _PlguinError {
	ERROR_NOTHING, 
	ERROR_CANCEL,
	ERROR_FAILED_CREATE_LAYER_ERROR,
	ERROR_UNKNOWN_IMAGE_TYPE_ERROR,
	ERROR_UNKNOWN_ERROR
} PluginError;

#endif
